# eric6.Tasks.TaskFilterConfigDialog

Module implementing the task filter configuration dialog.

### Global Attributes

None

### Classes

TaskFilterConfigDialog | Class implementing the task filter configuration dialog.

### Functions

None

## TaskFilterConfigDialog

Class implementing the task filter configuration dialog.

### Derived from

QDialog, Ui_TaskFilterConfigDialog

### Class Attributes

None

### Class Methods

None

### Methods

TaskFilterConfigDialog | Constructor
configureTaskFilter | Public method to set the parameters of the task filter object.

### Static Methods

None

#### TaskFilterConfigDialog (Constructor)

TaskFilterConfigDialog(taskFilter, parent=None)

Constructor

taskFilter
  the task filter object to be configured
parent
  the parent widget (QWidget)

#### TaskFilterConfigDialog.configureTaskFilter

configureTaskFilter(taskFilter)

Public method to set the parameters of the task filter object.

taskFilter
  the task filter object to be configured

Up